aboutsummaryrefslogtreecommitdiff
path: root/checkout.sh
diff options
context:
space:
mode:
Diffstat (limited to 'checkout.sh')
-rwxr-xr-xcheckout.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/checkout.sh b/checkout.sh
new file mode 100755
index 0000000..cb51879
--- /dev/null
+++ b/checkout.sh
@@ -0,0 +1,23 @@
+#! /bin/sh
+
+. etc/git/modules
+
+wd=`pwd`
+
+if [ "$1" = "" ]; then
+ echo "branch name expected" 1>&2
+ exit 1
+fi
+
+for i in $modules; do
+ echo "checkout $i" 1>&2
+ cd $i
+ git checkout $*
+
+ if [ $? -ne 0 ]; then
+ echo "checkout FAILED" 1>&2
+ exit 1
+ fi
+
+ cd $wd
+done